---
title: "Global Watchlist result"
url: "https://developer.incode.com/api-reference/watchlist-result/"
section: "api-reference"
group: "Global watchlist"
version: "v1.1"
status: "live"
endpoint: "POST /omni/watchlist-result"
---
# Global Watchlist result

`POST /omni/watchlist-result`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

This endpoint calls the global watchlist api (currently only Tier 2), and gets the latest gathered result.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `firstName` | string |  |  |
| `surName` | string |  |  |
| `birthYear` | integer (int32) |  | Year of birth, if known |
| `countryCodes` | array |  |  |
| `watchlistTypes` | array |  |  |
| `subscribe` | boolean |  | Subscribes to updates on the watchlists to receive notification for updates on the search. |
| `fuzziness` | number (float) |  | Determines how closely the returned results must match the supplied name. |
| `search_profile` | string |  | Search profile set for the client to use specify what sources they will be searching against. |

## Responses

### 200

OK

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X POST https://demo-api.incodesmile.com/omni/watchlist-result \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "firstName": "",
    "surName": "",
    "birthYear": 0,
    "countryCodes": [],
    "watchlistTypes": [],
    "subscribe": false,
    "fuzziness": 0,
    "search_profile": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/watchlist-result", {
  method: "POST",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "firstName": "",
      "surName": "",
      "birthYear": 0,
      "countryCodes": [],
      "watchlistTypes": [],
      "subscribe": false,
      "fuzziness": 0,
      "search_profile": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.post("https://demo-api.incodesmile.com/omni/watchlist-result", headers=headers, json={
  "firstName": "",
  "surName": "",
  "birthYear": 0,
  "countryCodes": [],
  "watchlistTypes": [],
  "subscribe": False,
  "fuzziness": 0,
  "search_profile": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/watchlist-result"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\n  \"firstName\": \"\",\n  \"surName\": \"\",\n  \"birthYear\": 0,\n  \"countryCodes\": [],\n  \"watchlistTypes\": [],\n  \"subscribe\": false,\n  \"fuzziness\": 0,\n  \"search_profile\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
